import type { SizeProp } from '../../lib/types/props';
import type { Theme } from '../../lib/theming/Theme';
export declare const styles: {
    root(t: Theme): string;
    inputWrapperWidth(t: Theme): string;
    inputWrapperWidthFull(): string;
    inputVisuallyFocus(t: Theme): string;
    calendarWrapper(t: Theme): string;
    calendarWidthAuto(): string;
    rangeCalendarDay(): string;
    rangeCalendarDayEnd(t: Theme): string;
    rangeCalendarDayInHoveredPeriod(t: Theme): string;
    rangeCalendarDayHoverInPeriod(t: Theme): string;
    buttonWrap(): string;
};
export declare function getFontSize(t: Theme, size?: SizeProp): string;
